Authorization
Bearer token. Format: Bearer <token>
Body Parameters
Text description of the image to generate. Max 500 characters.
Elements to exclude from generation. Max 200 characters.
style
string
default:"digital_art"
Art style for generation.Options: digital_art, photorealistic, anime, 3d_render, oil_painting
Image aspect ratio.Options: 1:1, 16:9, 9:16, 4:3, 3:4
Generation quality level.Options: standard, high, ultra
Response
Unique generation identifier. Format: gen_<12 chars>
Generation status. Values: queued, processing, completed, failed
Estimated completion time in seconds
ISO 8601 timestamp of request
curl --request POST \
--url https://api.pixellabsai.app/v1/generate \
--header 'Authorization: Bearer pixel_live_abc123def456' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "cyberpunk samurai warrior with glowing katana, neon purple lighting, volumetric fog, octane render, 4k digital art",
"negativePrompt": "blurry, low quality, watermark, text",
"style": "digital_art",
"aspectRatio": "1:1",
"quality": "high"
}'
{
"generationId": "gen_8f7b2c9a1e3d",
"status": "queued",
"estimatedTime": 15,
"createdAt": "2026-03-16T14:30:00Z"
}